<template>
  <div style="width:100%;height:100%">
    <div class="bg">
      <div id="img1" class="startBox">
        <img class="start" src="/static/img/start.png" style="width:80%" alt>
      </div>
      <img
        id="img2"
        ref="f_calpis"
        class="f_calpis"
        src="../../assets/images/first/calpis.png"
        style="width:55%;margin-top:-52%"
        alt
      >
      <img
        id="img3"
        ref="f_text"
        class="f_text"
        src="../../assets/images/first/text.png"
        style="width:38%;"
        alt
      >
    </div>
  </div>
</template>

<script>
export default {
  name: "First",
  data() {
    return {};
  },
  methods: {},
  mounted() {
    let that = this;
    //监听到文字动画结束时进入下一个页面
    this.$refs.f_calpis.addEventListener(
      "animationend",
      function() {
         if(that.$refs.f_text){
            that.$refs.f_text.classList.add("fadeIn");
         }
      },
      false
    );
    this.$refs.f_text.addEventListener(
      "animationend",
      function() {
        document.getElementById("img1").classList.add("fadeOut");
        document.getElementById("img2").classList.add("fadeOut");
        document.getElementById("img3").classList.add("fadeOut");
        setTimeout(() => {
          that.$router.replace("/home");
        }, 1000);
      },
      false
    );
  }
};
</script>

<style scoped lang='less'>
.bg {
  width: 100%;
  height: 100%;
  background: url("/static/img/bg.png") center;
  background-size: cover;
  padding-top: 20%;
  display: flex;
  flex-direction: column;
  align-items: center;
  box-sizing: border-box;
  overflow: hidden;
  .start {
    animation: myrotate 50s infinite linear;
  }
  #img1 {
    text-align: center;
  }
}

.f_calpis {
  animation: blinkTWo 1.5s ease-in;
  animation-fill-mode: forwards;
}
/* //  .start{
    //   animation:fadeIn 1.5s ease-in;  
    //   animation-fill-mode:forwards;
    // } */

.f_text {
  opacity: 0;
}

@-webkit-keyframes blinkTWo {
  0% {
    opacity: 1;
  }
  25% {
    opacity: 0.2;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 0.2;
  }
  100% {
    opacity: 1;
  }
}

@keyframes blinkTWo {
  0% {
    opacity: 1;
  }
  25% {
    opacity: 0.2;
  }
  50% {
    opacity: 1;
  }
  75% {
    opacity: 0.2;
  }
  100% {
    opacity: 1;
  }
}

.fadeIn {
  animation: fadeIn 0.8s ease-in !important;
  animation-fill-mode: forwards !important;
}

@-webkit-keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.fadeOut {
  animation: fadeOut 1s ease-in !important;
  animation-fill-mode: forwards !important;
}

@-webkit-keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes fadeOut {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
</style>